program dptest
  use opera
  use dotst

  implicit none
  real, dimension (2)		  :: dot1, dot2
  integer, parameter		  :: nw = 50
  integer, parameter		  :: nx = 75
  integer, parameter		  :: nz = 100
  integer, parameter		  :: nreal = 1

  call opera_init(nw,nx,nz,nreal)
  write(0,*) nw*nx*nz*nreal, (nx*nz)**2
  call dot_test( opera_lop, nw*nx*nz*nreal, nx*nz*nx*nz, dot1, dot2 )
end program DPtest
